<?php

class ARSchemaFactory {
    
    public static function getInstance($type, $adb) {
        $schema = null;

        if($type == "mysql") {
            require_once __DIR__ . '/ARSchemaMySql.php';
            $schema = new ARSchemaMySql($adb);
        } else {
            require_once __DIR__ . '/ARSchemaMsSql.php';
            $schema = new ARSchemaMsSql($adb);
        }

        return $schema;
    }
}